=== debian/changelog ===
jigzo (0.6.1-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.3.
  * Fix FTBFS with GCC-4.7 : add patch 05_gcc_4_7.patch
    +Thanks to Paul Tagliamonte <tag@pault.ag>. (Closes: #667216)
  * Fix FTBFS with libpng 1.5 :add patch 06_libpng_1_5.patch
    +Thanks to Nobuhiro Iwamatsu <iwamatsu@debian.org>. (Closes: #649839)
  * Change Build-Depends from libpng12-dev to libpng-dev.
    +Thanks to Nobuhiro Iwamatsu <iwamatsu@debian.org>. (Closes: #662382)
  * debian/copyright update format as in Debian Policy 3.9.3.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sat, 28 Apr 2012 13:14:44 -0500

jigzo (0.6.1-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.2.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump debhelper build-dep and compat to 8.
  * jigzo-data now Replaces: jigzo (<= 0.6.1-2). (Closes: #558190)
  * Updated Build-Depends on libjpeg-dev 
    instead of libjpeg62-dev. (Closes: #634034) 
  * debian/copyright under DEP-5 format.
  * debian/patches under DEP-3 format.
  * debian/jigzo.6 fixed spelling error in manpage.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Thu, 21 Jul 2011 16:32:49 -0500

jigzo (0.6.1-4) unstable; urgency=low

  * Fixed Fails to start with cannot open 
    /usr/share/games/jigzo/font/charmap.png 
    +Thanks to Dmitry Semyonov (Closes: #549515).
  * Updated Standards-Version to  3.8.3.
  * Corrected some lintian warnings:
    +Added README.source pointing to quilt's README.source.gz.
    +Added a description to the 01_paths, 03_gcc_4_3 
     and 04_any_resolution patchs.
    +Removed deprecated "Encoding" field from jigzo.desktop.
    +Added a extended-description (debian/control).

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Wed, 07 Oct 2009 17:36:40 -0500

jigzo (0.6.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix previous incomplete upload. 

 -- Maximiliano Curia <maxy@debian.org>  Sun, 26 Jul 2009 15:09:06 -0300

jigzo (0.6.1-3) unstable; urgency=low

  * debian/watch: Updated.
  * Rewrote the build system with debhelper and quilt.
  * Menu icon updated.
  * Use the quilt system patch.
  * Made two packages: jigzo and jigzo-data.
  * debian/control: Updated Standards-Version to 3.8.2.
  * debian/jigzo.6: Updated.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Wed, 24 Jun 2009 19:48:13 -0500

jigzo (0.6.1-2) unstable; urgency=low

  * New maintainer.  Closes: #497241.
  * debian/install, debian/patches/01_paths.diff: Updated.
    Moving from usr/share/jigzo/ to usr/share/games/jigzo/.
  * debian/jigzo.6, debian/jigzo.manpages: Added.
  * debian/patches/03_gcc_4_3.diff: Updated.
  * debian/patches/04_any_resolution.diff: Added.
    Patch by Miriam Ruiz <little_miry@yahoo.es>, thanks.
  * debian/watch: Updated.
  
 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 09 Feb 2009 22:27:31 -0500

jigzo (0.6.1-1) unstable; urgency=low

  * New upstream release, renamed.
  * debian/copyright: Updated.

 -- Bart Martens <bartm@debian.org>  Sun, 28 Dec 2008 16:42:03 +0100

glpuzzle (0.2-2) unstable; urgency=low

  * debian/patches/03_gcc_4_3.diff: Added.  Closes: #420882.

 -- Bart Martens <bartm@knars.be>  Fri, 27 Apr 2007 00:27:13 +0200

glpuzzle (0.2-1) unstable; urgency=low

  * Initial release.  Closes: #409499.

 -- Bart Martens <bartm@knars.be>  Sun, 11 Mar 2007 14:41:35 +0100
