=== debian/control ===
Source: jigzo
Section: games
Priority: optional
Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
Build-Depends: debhelper (>= 8.0.0), libjpeg-dev, libpng-dev, libsdl1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.9.3
Homepage: http://www.resorama.com/jigzo/

Package: jigzo
Architecture: any
Depends: jigzo-data (=${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: glpuzzle
Replaces: glpuzzle
Conflicts: glpuzzle
Description: Photo puzzle game for children
 jigzo (formerly glpuzzle) is a jigsaw puzzle game. Choose from 12 puzzles of
 increasing difficult. The difficulty ranges from 4 to 25 puzzle pieces. This
 game requires a OpenGl hardware acceleration.
 
Package: jigzo-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: jigzo (<= 0.6.1-2)
Replaces: jigzo (<= 0.6.1-2)
Description: data of Photo puzzle game for children
 jigzo (formerly glpuzzle) is a jigsaw puzzle game. Choose from 12 puzzles of
 increasing difficult. The difficulty ranges from 4 to 25 puzzle pieces. This
 game requires a OpenGl hardware acceleration.
 .
 This package includes the data of the game: images, sound, icon, font.
